<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = file(BASEDIR."local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}

$config_avlist="10"; //кол.аваторов

if(!isset($action)){
echo "<img src=\"../images/img/partners.gif\" alt=\"\"> <b><font color=\"#FFFF00\">Платные аватары</font></b><br><br>";

$dir = opendir ("../images/avators2");
while ($file = readdir ($dir)) 
{if (( $file != ".") && ($file != "..") && ($file != ".htaccess") && ($file != "index.php")&& ($file != "Thumbs.db")) 
{$a[]=$file;}}  
closedir ($dir); 
sort($a);

$total = count($a);
if (empty($_GET['start'])) $start = 0; 
else $start = $_GET['start'];
if ($total < $start + $config_avlist){ $end = $total; }
else {$end = $start + $config_avlist; }
for ($i = $start; $i < $end; $i++){

echo '<img src="../images/avators2/'.$a[$i].'" alt=""> .'; 
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
echo ' <a href="avators2.php?action=avatar&amp;av='.$a[$i].'&amp;'.SID.'">Купить</a><br>';}else{echo'<br>';}
}


echo'<hr>'; 
if ($start != 0) {echo '<a href="avators2.php?start='.($start - $config_avlist).'&amp;'.SID.'">&lt;-Назад </a> ';}else{echo'&lt;-Назад ';}
echo'|'; 
if ($total > $start + $config_avlist) {echo ' <a href="avators2.php?start='.($start + $config_avlist).'&amp;'.SID.'"> Далее-&gt;</a>';}else{echo' Далее-&gt;';}



if($total>0){
$ba=ceil($total/$config_avlist);
$ba2=floor($total/$config_avlist)*$config_avlist;

echo '<br><hr>Страницы:';
$asd=$start-($config_avlist*4);
$asd2=$start+($config_avlist*5);

if($asd<$total && $asd>0){echo ' <a href="avators2.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_avlist);

if ($start==$i) {
echo ' <b>'.$ii.'</b>';
               }
                else {
echo ' <a href="avators2.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
                     }}


$i=$i+$config_avlist;}
if($asd2<$total){echo ' ... <a href="avators2.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}
}




if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[43]==""){$udata[43]="images/avators/noavatar.gif";}

echo '<br><br><font color="FF0000">Внимание цена аватара 10 тысяч монет</font><br>';
echo'У вас в наличии золотых монет: '.(int)$udata[41].'<br>';
echo 'Купите понравившийся вам аватар<br>Cейчас ваш аватар: <img src="../'.$udata[43].'" alt="">';}
echo '<br>Всего доступно аваторов: '.$total.'<br>'; 
}

//---------------------------- Выбор аватаров --------------------------//
if($action=="avatar"){
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {

if($udata[43]!="images/avators2/".$av){
if($udata[41]>=10000){	
if(file("../images/avators2/$av")){
//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[41]=$udata[41]-10000;
$udata[43]=check("images/avators2/$av");

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if(!empty($udata[0]) && !empty($udata[1])){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
}
echo'<br>Аватар успешно выбран!<br>
Cейчас ваш аватар: <img src="../images/avators2/'.$av.'" alt=""><br>';
echo 'C вашего счета списано 10тыс. монет<br><br>';

}else{echo'Неверный адрес аватора!<br>';}
}else{echo'Вы не можете купить аватар т.к. на вашем счете недостаточно средств<br>';}
}else{echo'Ошибка! Вы уже купили этот аватар!<br>';}
echo'<img src="../images/img/back.gif" alt=""> <a href="avators2.php?'.SID.'">Вернуться</a><br>';
}}
	
	
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>